io.vertx.reactivex.ext.auth.authorization

## Class OrAuthorization

- java.lang.Object
- - io.vertx.reactivex.ext.auth.authorization.Authorization
  - - io.vertx.reactivex.ext.auth.authorization.OrAuthorization

-     public class OrAuthorization
      extends Authorization

  Allows to perform a logical 'or' between several authorizations

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<OrAuthorization>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrAuthorization(Object delegate)`
    `OrAuthorization(OrAuthorization delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrAuthorization` | `addAuthorization(Authorization authorization)`
    `static OrAuthorization` | `create()`
    `boolean` | `equals(Object o)`
    `List<Authorization>` | `getAuthorizations()`
    `OrAuthorization` | `getDelegate()`
    `int` | `hashCode()`
    `static OrAuthorization` | `newInstance(OrAuthorization arg)`
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.reactivex.ext.auth.authorization.Authorization

      `match, match, newInstance, verify`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<OrAuthorization> __TYPE_ARG

  - ### Constructor Detail

    - #### OrAuthorization

          public OrAuthorization(OrAuthorization delegate)

    - #### OrAuthorization

          public OrAuthorization(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Authorization`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Authorization`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Authorization`

    - #### getDelegate

          public OrAuthorization getDelegate()

      Overrides:
        `getDelegate` in class `Authorization`

    - #### create

          public static OrAuthorization create()

    - #### getAuthorizations

          public List<Authorization> getAuthorizations()

    - #### addAuthorization

          public OrAuthorization addAuthorization(Authorization authorization)

    - #### newInstance

          public static OrAuthorization newInstance(OrAuthorization arg)

Copyright © 2021 Eclipse. All rights reserved.